Subject: [AVT] WG Review: Audio/Video Transport Core Maintenence (avtcore)

From: Roni Even <[email-masked]>
Date: Wed, 12 Jan 2011 20:28:54 +0200

FYI, Please review and send comments to [email-masked]

Roni

A new IETF working group has been proposed in the Real-Time Applications

and Infrastructure Area.  The IESG has not made any determination as yet.

The following draft charter was submitted, and is provided for

informational purposes only. Please send your comments to the IESG mailing

list (iesg at ietf.org) by Tuesday, January 18, 2011.               

Audio/Video Transport Core Maintenence (avtcore)

-------------------------------------------

Current Status: Proposed Working Group

Last modified: 2010-12-03

Chairs: TBD

Real-Time Applications and Infrastructure Area Directors:

  Gonzalo Camarillo <gonzalo.camarillo at ericsson.com>

  Robert Sparks <rjsparks at nostrum.com>

Real-Time Applications and Infrastructure Area Advisor:

  Robert Sparks <rjsparks at nostrum.com>

Mailing Lists: TBD

Description of Working Group:

The Real-time Transport Protocol, RTP, along with its associated 

profiles and payload formats provides for real-time transmission of 

audio and video over unicast and multicast transports.  RTP itself has 

been shepherded to Full Standard. Its associated profiles, extensions, 

and payload formats are currently at various levels of standards 

maturity. 

The AVTCORE working group is chartered to maintain the core RTP/RTCP 

protocols and the AVP, SAVP, AVPF, and SAVPF profiles. The group will 

provide architectural guidance for extending the protocols and 

guidelines for their proper use. While other working groups may be 

chartered to work on application-specific extensions to the protocols, 

extensions that are generally applicable will be developed in AVTCORE.

The AVTCORE working group will coordinate closely with the Security Area

while working on maintenance and enhancements to the SRTP Profile.

In addition to the milestones called out below, the AVTCORE working 

group's initial tasks will include completing any remaining work 

identified in those drafts from the AVT working group already in IESG 

Evaluation, with the exception of the Rapid Acquisition of Multicast RTP 

sessions, which will complete in the AVTEXT working group.

Goals and Milestones:

Dec 2010  Submit Guideline for Choosing RTCP CNAME as Proposed Standard

Dec 2010  Submit use of AES-192 and AES-256 in Secure RTP for Proposed 

          Standard

Dec 2010  Submit Port Mapping Between Unicast and Multicast RTP Sessions 

          for Proposed Standard

Dec 2010  Submit Real-Time Transport Control Protocol (RTCP) in Overlay 

          Multicast for Proposed Standard

Feb 2011  Submit Monitoring Architecture for RTP for Informational

Feb 2011  Guidelines for the use of Variable Bit Rate Audio with Secure 

          RTP as informational (or possibly BCP)

Apr 2011  Submit in band keying mechanism for SRTP draft for Proposed 

          Standard

Apr 2011  Submit Explicit Congestion Notification (ECN) for RTP over UDP 

          for Proposed Standard

May 2011  RTCP indication for retransmission suppression as proposed 

          standard

Sep 2011  Encryption of Header Extensions in the Secure Real-Time 

          Transport Protocol (SRTP) for Proposed Standard